SharedCount API

Guides, examples, and live requests for API v1.1.

Current versionv1.1

GET/v1.1/bulk

Retrieve results from a previously submitted bulk URL processing job.


Endpoint

https://api.sharedcount.com/v1.1/bulk


Parameters

NameTypeDescription Required
bulk_idstringThe bulk_id provided by the POST/v1.1/bulk call.true
apikeystringYour API Key.true

Code examples

# Check status and get results
curl 'https://api.sharedcount.com/v1.1/bulk?apikey=YOUR_API_KEY&bulk_id=BULK_ID'

# Force return of partial results
curl 'https://api.sharedcount.com/v1.1/bulk?apikey=YOUR_API_KEY&bulk_id=BULK_ID&force=1'

Try this endpoint

GEThttps://api.sharedcount.com/v1.1/bulk

Live request
Adds force=1 to the query.

This calls the live SharedCount API. Successful requests may count against your quota.

Ready
Your response will appear here.

Result format

{
    "data": {
        "https://google.com/": {
            "Pinterest": 1436815,
            "Facebook": {
              "total_count": 4629449,
              "comment_count": 225136,
              "reaction_count": 1258082,
              "share_count": 3145819,
              "comment_plugin_count": 412
            }
        },
        "https://stackoverflow.com/": {
            "Pinterest": 1234,
            "Facebook": {
              "total_count": 5678,
              "comment_count": 90,
              "reaction_count": 1234,
              "share_count": 3456,
              "comment_plugin_count": 78
            }
        }
    },
    "_meta": {
        "urls_completed": 100,
        "bulk_id": "a4f8f0fd436995987dbef98bbff9accc61282c63",
        "completed": true,
        "urls_queued": 100
    }
}
{
    "data": [],
    "_meta": {
        "urls_completed": 90,
        "bulk_id": "a4f8f0fd436995987dbef98bbff9accc61282c63",
        "completed": false,
        "urls_queued": 100
    }
}
Get your API key